%define _default_patch_fuzz 1
%define _disable_exceptions 1
%define build_bootstrap 0
%{?_with_bootstrap: %{expand: %%global build_bootstrap 1}}

%define qtmajor 5
%define qtminor 0
%define qtsubminor 2
%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtscripttools %mklibname qt5scripttools %qtmajor
%define libqtscripttools_d %mklibname qt5scripttools  -d
%define libqtscripttools_p_d %mklibname qt5scripttools-private -d

%define libqtscript %mklibname qtscript %qtmajor
%define libqtscript_d %mklibname qtscript -d
%define libqtscript_p_d %mklibname qtscript-private -d

%define qttarballdir qtscript-opensource-src-%{qtversion}

Name: qtscript5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt-project.org
Source0: http://releases.qt-project.org/qt5/%{version}/submodules_tar/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel
BuildRequires: qt5core-private-devel
BuildRequires: qt5widgets-private-devel

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
The QtScript module provides classes for making Qt applications
scriptable.

#------------------------------------------------------------------------------

%package -n %{libqtscripttools}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Provides: qtscripttoolslib = %{version}

%description -n %{libqtscripttools}
Qt%{qtmajor} Component Library.

The QtScriptTools module provides additional components for applications
that use Qt Script.

%files -n %{libqtscripttools}
%{_qt5_libdir}/libQt5ScriptTools.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtscripttools_d}
Summary: Devel files needed to build apps based on QtScriptTools
Group:    Development/KDE and Qt
Requires: %{libqtscripttools} = %version
Requires: qtbase5-common-devel = %version
Provides: libqtscripttools5-devel = %version
Provides: libqt5scripttools-devel = %version
Provides: qtscripttools5-devel = %version
Provides: qt5scripttools-devel = %version

%description -n %{libqtscripttools_d}
Devel files needed to build apps based on QtScriptTools.

%files -n %{libqtscripttools_d}
%{_qt5_libdir}/libQt5ScriptTools.prl
%{_qt5_libdir}/libQt5ScriptTools.so
%{_qt5_libdir}/pkgconfig/Qt5ScriptTools.pc
%{_qt5_includedir}/QtScriptTools
%exclude %{_qt5_includedir}/QtScriptTools/%qtversion
%{_qt5_libdir}/cmake/Qt5ScriptTools
%{_qt5_datadir}/mkspecs/modules/qt_lib_scripttools.pri

#------------------------------------------------------------------------------

%package -n %{libqtscripttools_p_d}
Summary: Devel files needed to build apps based on QtScriptTools
Group:    Development/KDE and Qt
Requires: %{libqtscripttools_d} = %version
Provides: libqtscripttools5-private-devel = %version
Provides: libqt5scripttools-private-devel = %version
Provides: qtscripttools5-private-devel = %version
Provides: qt5scripttools-private-devel = %version

%description -n %{libqtscripttools_p_d}
Devel files needed to build apps based on QtScriptTools.

%files -n %{libqtscripttools_p_d}
%{_qt5_includedir}/QtScriptTools/%qtversion

#------------------------------------------------------------------------------

%package -n %{libqtscript}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Provides: libqtscript = %{version}

%description -n %{libqtscript}
Qt%{qtmajor} Component Library.

The QtScript module provides classes for making Qt applications 
scriptable.

%files -n %{libqtscript}
%{_qt5_libdir}/libQt5Script.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtscript_d}
Summary: Devel files needed to build apps based on QtScript
Group:    Development/KDE and Qt
Requires: %{libqtscript} = %version
Requires: qtbase5-common-devel = %version
Provides: libqtscript5-devel = %version
Provides: libqtscript5-devel = %version
Provides: qtscript5-devel = %version
Provides: qt5script-devel = %version

%description -n %{libqtscript_d}
Devel files needed to build apps based on QtScript.

%files -n %{libqtscript_d}
%{_qt5_libdir}/libQt5Script.prl
%{_qt5_libdir}/libQt5Script.so
%{_qt5_libdir}/pkgconfig/Qt5Script.pc
%dir %{_qt5_includedir}/QtScript
%{_qt5_includedir}/QtScript/QScriptClass
%{_qt5_includedir}/QtScript/QScriptClassPropertyIterator
%{_qt5_includedir}/QtScript/QScriptContext
%{_qt5_includedir}/QtScript/QScriptContextInfo
%{_qt5_includedir}/QtScript/QScriptContextInfoList
%{_qt5_includedir}/QtScript/QScriptEngine
%{_qt5_includedir}/QtScript/QScriptEngineAgent
%{_qt5_includedir}/QtScript/QScriptExtensionInterface
%{_qt5_includedir}/QtScript/QScriptExtensionPlugin
%{_qt5_includedir}/QtScript/QScriptProgram
%{_qt5_includedir}/QtScript/QScriptString
%{_qt5_includedir}/QtScript/QScriptSyntaxCheckResult
%{_qt5_includedir}/QtScript/QScriptValue
%{_qt5_includedir}/QtScript/QScriptValueIterator
%{_qt5_includedir}/QtScript/QScriptValueList
%{_qt5_includedir}/QtScript/QScriptable
%{_qt5_includedir}/QtScript/QtScript
%{_qt5_includedir}/QtScript/QtScriptVersion
%{_qt5_includedir}/QtScript/qscriptable.h
%{_qt5_includedir}/QtScript/qscriptclass.h
%{_qt5_includedir}/QtScript/qscriptclasspropertyiterator.h
%{_qt5_includedir}/QtScript/qscriptcontext.h
%{_qt5_includedir}/QtScript/qscriptcontextinfo.h
%{_qt5_includedir}/QtScript/qscriptengine.h
%{_qt5_includedir}/QtScript/qscriptengineagent.h
%{_qt5_includedir}/QtScript/qscriptextensioninterface.h
%{_qt5_includedir}/QtScript/qscriptextensionplugin.h
%{_qt5_includedir}/QtScript/qscriptprogram.h
%{_qt5_includedir}/QtScript/qscriptstring.h
%{_qt5_includedir}/QtScript/qscriptvalue.h
%{_qt5_includedir}/QtScript/qscriptvalueiterator.h
%{_qt5_includedir}/QtScript/qtscriptglobal.h
%{_qt5_includedir}/QtScript/qtscriptversion.h

%{_qt5_libdir}/cmake/Qt5Script
%{_qt5_datadir}/mkspecs/modules/qt_lib_script.pri
%{_qt5_examplesdir}/script

#------------------------------------------------------------------------------

%package -n %{libqtscript_p_d}
Summary: Devel files needed to build apps based on QtScript
Group:    Development/KDE and Qt
Requires: %{libqtscript_d} = %version
Provides: libqtscript5-private-devel = %version
Provides: libqt5script-private-devel = %version
Provides: qtscript5-private-devel = %version
Provides: qt5script-private-devel = %version

%description -n %{libqtscript_p_d}
Devel files needed to build apps based on QtScript.

%files -n %{libqtscript_p_d}
%dir %{_qt5_includedir}/QtScript/%qtversion
%dir %{_qt5_includedir}/QtScript/%qtversion/QtScript
%dir %{_qt5_includedir}/QtScript/%qtversion/QtScript/private
%{_qt5_includedir}/QtScript/%qtversion/QtScript/private/*.h


%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5
%make
#------------------------------------------------------------------------------

%install
%qmakeinstall_std

install -d %{buildroot}/%{_qt5_docdir}

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a



%changelog

* Wed Apr 17 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410241
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 393987
- New version 5.0.1 Final

* Wed Jan 30 2013 neoclust <neoclust> 5.0.1-0.rc1.2.mga3
+ Revision: 393605
- Use qt install macro
- Split private headers on their own package

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392441
- Fix files list
- New version 5.0.1 rc1
- Rebuild with new path

  + fwang <fwang>
    - use xz

* Sun Jan 13 2013 umeabot <umeabot> 5.0.0-2.mga3
+ Revision: 380049
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 neoclust <neoclust> 5.0.0-1.mga3
+ Revision: 337523
- Qt 5.0.0 Final

* Thu Nov 29 2012 neoclust <neoclust> 5.0.0-0.rc1.1.mga3
+ Revision: 323177
- New rc snapshot

* Sat Nov 17 2012 neoclust <neoclust> 5.0.0-0.beta.17.mga3
+ Revision: 319085
- Fix wrong requires

* Sat Nov 17 2012 neoclust <neoclust> 5.0.0-0.beta.16.mga3
+ Revision: 319076
- imported package qtscript5

